<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::random_helpers::mersenne_twister&lt; UIntType, w, n, m, r, a, u, s, b, t, c, l, val &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>random_helpers</b></li><li class="navelem"><a class="el" href="classdlib_1_1random__helpers_1_1mersenne__twister.html">mersenne_twister</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1random__helpers_1_1mersenne__twister-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::random_helpers::mersenne_twister&lt; UIntType, w, n, m, r, a, u, s, b, t, c, l, val &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:adb7281ead1c1270a01915b322ad34298"><td class="memItemLeft" align="right" valign="top"><a id="adb7281ead1c1270a01915b322ad34298"></a>
typedef UIntType&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:adb7281ead1c1270a01915b322ad34298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae6409698830d296d0f509efd61d8cc59"><td class="memItemLeft" align="right" valign="top"><a id="ae6409698830d296d0f509efd61d8cc59"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mersenne_twister</b> (UIntType value)</td></tr>
<tr class="separator:ae6409698830d296d0f509efd61d8cc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab81174e4df6ad73fb147a49df017f4fc"><td class="memItemLeft" align="right" valign="top"><a id="ab81174e4df6ad73fb147a49df017f4fc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>seed</b> ()</td></tr>
<tr class="separator:ab81174e4df6ad73fb147a49df017f4fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e9276adbe890e2fde7532d8a3bb160e"><td class="memItemLeft" align="right" valign="top"><a id="a8e9276adbe890e2fde7532d8a3bb160e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>seed</b> (UIntType value)</td></tr>
<tr class="separator:a8e9276adbe890e2fde7532d8a3bb160e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58d2bb92f508cab997b6e5d62ec510ce"><td class="memItemLeft" align="right" valign="top"><a id="a58d2bb92f508cab997b6e5d62ec510ce"></a>
result_type&#160;</td><td class="memItemRight" valign="bottom"><b>min</b> () const</td></tr>
<tr class="separator:a58d2bb92f508cab997b6e5d62ec510ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b052072629d281239130db03ffb0c6f"><td class="memItemLeft" align="right" valign="top"><a id="a7b052072629d281239130db03ffb0c6f"></a>
result_type&#160;</td><td class="memItemRight" valign="bottom"><b>max</b> () const</td></tr>
<tr class="separator:a7b052072629d281239130db03ffb0c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5a9273c428083c47def5ccadbb20e65"><td class="memItemLeft" align="right" valign="top"><a id="ad5a9273c428083c47def5ccadbb20e65"></a>
result_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> ()</td></tr>
<tr class="separator:ad5a9273c428083c47def5ccadbb20e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a891e31a24d6fd52b9f9b31e661d919e3"><td class="memItemLeft" align="right" valign="top"><a id="a891e31a24d6fd52b9f9b31e661d919e3"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>word_size</b> = w</td></tr>
<tr class="separator:a891e31a24d6fd52b9f9b31e661d919e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6176abaa8693ad63c8f07217bdf77992"><td class="memItemLeft" align="right" valign="top"><a id="a6176abaa8693ad63c8f07217bdf77992"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>state_size</b> = n</td></tr>
<tr class="separator:a6176abaa8693ad63c8f07217bdf77992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc489eec1f37d5907c679c4b9b1faba1"><td class="memItemLeft" align="right" valign="top"><a id="adc489eec1f37d5907c679c4b9b1faba1"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>shift_size</b> = m</td></tr>
<tr class="separator:adc489eec1f37d5907c679c4b9b1faba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a8d4c3fe7b7574b824f396bb8eb0e15"><td class="memItemLeft" align="right" valign="top"><a id="a9a8d4c3fe7b7574b824f396bb8eb0e15"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>mask_bits</b> = r</td></tr>
<tr class="separator:a9a8d4c3fe7b7574b824f396bb8eb0e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d05f303aa4de5c8cdded8e8caf641e"><td class="memItemLeft" align="right" valign="top"><a id="a14d05f303aa4de5c8cdded8e8caf641e"></a>
static const UIntType&#160;</td><td class="memItemRight" valign="bottom"><b>parameter_a</b> = a</td></tr>
<tr class="separator:a14d05f303aa4de5c8cdded8e8caf641e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac66840939da339676acd3023c3c29d15"><td class="memItemLeft" align="right" valign="top"><a id="ac66840939da339676acd3023c3c29d15"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>output_u</b> = u</td></tr>
<tr class="separator:ac66840939da339676acd3023c3c29d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1eb602339f3f90c2a2b9a443ea55227"><td class="memItemLeft" align="right" valign="top"><a id="ac1eb602339f3f90c2a2b9a443ea55227"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>output_s</b> = s</td></tr>
<tr class="separator:ac1eb602339f3f90c2a2b9a443ea55227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cc79a7f17273d8be1afcf7927c5a804"><td class="memItemLeft" align="right" valign="top"><a id="a9cc79a7f17273d8be1afcf7927c5a804"></a>
static const UIntType&#160;</td><td class="memItemRight" valign="bottom"><b>output_b</b> = b</td></tr>
<tr class="separator:a9cc79a7f17273d8be1afcf7927c5a804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70253ff5ea33733efec2be71de43bd5"><td class="memItemLeft" align="right" valign="top"><a id="aa70253ff5ea33733efec2be71de43bd5"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>output_t</b> = t</td></tr>
<tr class="separator:aa70253ff5ea33733efec2be71de43bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd8d46d19d303291a32443c76afde81"><td class="memItemLeft" align="right" valign="top"><a id="a7cd8d46d19d303291a32443c76afde81"></a>
static const UIntType&#160;</td><td class="memItemRight" valign="bottom"><b>output_c</b> = c</td></tr>
<tr class="separator:a7cd8d46d19d303291a32443c76afde81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6517c273ab9e9a55c6a593987a8f393"><td class="memItemLeft" align="right" valign="top"><a id="aa6517c273ab9e9a55c6a593987a8f393"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>output_l</b> = l</td></tr>
<tr class="separator:aa6517c273ab9e9a55c6a593987a8f393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff3656b07d6e82c5f18be20dec71a6c8"><td class="memItemLeft" align="right" valign="top"><a id="aff3656b07d6e82c5f18be20dec71a6c8"></a>
static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_fixed_range</b> = false</td></tr>
<tr class="separator:aff3656b07d6e82c5f18be20dec71a6c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a257f9f2854b6f1c5e048716d18b2e927"><td class="memItemLeft" align="right" valign="top"><a id="a257f9f2854b6f1c5e048716d18b2e927"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>twist</b> (int block)</td></tr>
<tr class="separator:a257f9f2854b6f1c5e048716d18b2e927"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a5cbe5837dc41b508d72673f6bcf00cb0"><td class="memItemLeft" align="right" valign="top"><a id="a5cbe5837dc41b508d72673f6bcf00cb0"></a>
UIntType&#160;</td><td class="memItemRight" valign="bottom"><b>x</b> [2 *n]</td></tr>
<tr class="separator:a5cbe5837dc41b508d72673f6bcf00cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b71fcf220a9d55d8952f05c4a7fd960"><td class="memItemLeft" align="right" valign="top"><a id="a2b71fcf220a9d55d8952f05c4a7fd960"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>i</b></td></tr>
<tr class="separator:a2b71fcf220a9d55d8952f05c4a7fd960"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a5a6f97173cc9c9bd2dc127384da73e38"><td class="memItemLeft" align="right" valign="top"><a id="a5a6f97173cc9c9bd2dc127384da73e38"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1random__helpers_1_1mersenne__twister.html">mersenne_twister</a> &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:a5a6f97173cc9c9bd2dc127384da73e38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a932034c670cde2f193e5d7f40a737d9d"><td class="memItemLeft" align="right" valign="top"><a id="a932034c670cde2f193e5d7f40a737d9d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1random__helpers_1_1mersenne__twister.html">mersenne_twister</a> &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:a932034c670cde2f193e5d7f40a737d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="mersenne__twister_8h_source.html">mersenne_twister.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
